oracle.pg.hbase

## Class OracleSndIndexEdgeIteratorImpl

- java.lang.Object
- - oracle.pg.hbase.OracleCommonIteratorImpl
  - - oracle.pg.hbase.OracleElementIteratorImpl
    - - oracle.pg.hbase.OracleSndIndexEdgeIteratorImpl

- All Implemented Interfaces:
    Closeable, AutoCloseable, Iterator<Edge>, MesgConsts

      public class OracleSndIndexEdgeIteratorImpl
      extends OracleElementIteratorImpl
      implements Iterator<Edge>

  This class implements the Iterator interface for edges retrieved using the secondary index table

- - ### Field Summary

    - ### Fields inherited from interface oracle.pg.common.MesgConsts

      `ERR_ARG_CANNOT_BE_NULL, ERR_CODE_NOT_IN_LIST, ERR_DOP_CONSTRAINT, ERR_E_DS_MUSTBE_FILE_OR_IS, ERR_E_MAX_LINE_CONSTRAINT, ERR_EDGE_DIR_NOT_BOTH, ERR_GRAPH_NAME_CANT_BENULL, ERR_HIT_EXCEPTION, ERR_HIT_INTERRUPT, ERR_HIT_IO, ERR_HIT_OPGE, ERR_HIT_PARSEE, ERR_ID_CANNOT_BE_NULL, ERR_IDX_KEY_CANNOT_BE_NULL, ERR_IN_DS_EDGE_CANTBE_NULL, ERR_IN_DS_VERT_CANTBE_NULL, ERR_IN_E_FLAT_DOESNT_EXIST, ERR_IN_V_FLAT_DOESNT_EXIST, ERR_INVALID_NUM_FIELDS, ERR_INVALID_NUM_NOARG, ERR_INVALID_NUMBER, ERR_INVALID_VAL, ERR_KEY_CANNOT_BE_ID, ERR_KEY_CANNOT_BE_NULL, ERR_KEY_NOT_SET_TO, ERR_NO_ELEM_TO_BE_CONSUMED, ERR_NO_OP_SUPPORTED, ERR_NOT_IMPLEMENTED_YET, ERR_NOT_ORACLE_V_E, ERR_NUM_PART_CONSTRAINT, ERR_OFFSET_CONSTRAINT, ERR_OFFSET_E_MUST_BE_POS, ERR_OFFSET_V_MUST_BE_POS, ERR_PG_ALREADY_EXISTS, ERR_PG_NOT_EMPTY, ERR_SIZE_MUST_BE_POS, ERR_TIMEOUT_TAB_CREATION, ERR_TYPE_ID_NOT_RECO, ERR_UNSUPPORTED_VAL_TYP, ERR_USER_REQ_OP_CANCEL, ERR_V_DS_MUSTBE_FILE_OR_IS, ERR_V_MAX_LINE_CONSTRAINT, ERR_VALUE_CANNOT_BE_NULL, INFO_EMP_K_NO_P_VAL, INFO_NUL_K_NO_P_VAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OracleEdge` | `next()` Return next element found in this iterator.

    - ### Methods inherited from class oracle.pg.hbase.OracleElementIteratorImpl

      `close, getPropertyGraph`

    - ### Methods inherited from class oracle.pg.hbase.OracleCommonIteratorImpl

      `hasNext, remove, setGracefulTimeout`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, remove`

- - ### Method Detail

    - #### next

          public OracleEdge next()

      Return next element found in this iterator.
      Specified by:
        `next` in interface `Iterator<Edge>`

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.